"""
SPF computation
===============

.. image:: ../../images/Examples/Example05.png
   :width: 600
   :align: center
"""

# sphinx_gallery_thumbnail_path = '../images/Examples/Example05.png'

def run():
    from PyMieSim.Scatterer import Sphere, Cylinder
    from PyMieSim.Source    import PlaneWave

    Source = PlaneWave(Wavelength  = 500e-9,
                      Polarization = 0,
                      Amplitude    = 1)

    Scat = Sphere(Diameter    = 1200e-9,
                  Source      = Source,
                  Index       = 1.4,
                  nMedium     = 1.0)

    SPF = Scat.SPF(Num=300)

    SPF.Plot().Show()

if __name__ == '__main__':
    run()
