"""
Scatterer sphere + Material
===========================

.. image:: ../../images/Examples/Example08.png
   :width: 600
   :align: center
"""
# sphinx_gallery_thumbnail_path = '../images/Examples/Example08.png'

def run():
    from PyMieSim.Scatterer import Sphere
    from PyMieSim.Source    import PlaneWave
    from PyOptik            import ExpData

    Source = PlaneWave(Wavelength   = 450e-9,
                       Polarization = 0,
                       Amplitude    = 1)

    Scat = Sphere(Diameter     = 300e-9,
                  Source       = Source,
                  Material     = ExpData('BK7'))

    print(Scat)

if __name__ == '__main__':
    run()
