"""
Scatterer CoreShell + Material
==============================

.. image:: ../../images/Examples/Example09.png
   :width: 600
   :align: center
"""
# sphinx_gallery_thumbnail_path = '../images/Examples/Example09.png'

def run():
    from PyMieSim.Scatterer import CoreShell
    from PyMieSim.Source    import PlaneWave
    from PyOptik            import ExpData

    Source = PlaneWave(Wavelength   = 450e-9,
                       Polarization = 0,
                       Amplitude    = 1)

    Scat = CoreShell(CoreDiameter     = 300e-9,
                     ShellWidth       = 200e-9,
                     Source           = Source,
                     CoreMaterial     = ExpData('BK7'),
                     ShellMaterial    = ExpData('Aluminium'))

    print(Scat)

if __name__ == '__main__':
    run()
