"""
Scatterer cylinder
==================

.. image:: ../../images/Examples/Example10.png
   :width: 600
   :align: center
"""

# sphinx_gallery_thumbnail_path = '../images/Examples/Example10.png'

def run():
    from PyMieSim.Scatterer import Cylinder
    from PyMieSim.Source    import PlaneWave

    Source = PlaneWave(Wavelength    = 450e-9,
                       Polarization  = 0,
                       Amplitude     = 1)

    Scat = Cylinder(Diameter     = 800e-9,
                    Source       = Source,
                    Index        = 1.445)

    print(Scat)

if __name__ == '__main__':
    run()
