"""
Qscattering
===========

.. image:: ../../images/Examples/Example16.png
   :width: 600
   :align: center
"""

# sphinx_gallery_thumbnail_path = '../images/Examples/Example16.png'


def run():
    import numpy as np
    from PyMieSim.Experiment import SphereSet, SourceSet, Setup
    from PyMieSim            import Measure, Variables

    scatSet    = SphereSet( Diameter = np.linspace(100e-9, 10000e-9, 800),
                            Index    = [1.4],
                            nMedium  = [1] )

    sourceSet  = SourceSet( Wavelength   = [400e-9],
                            Polarization = [0],
                            Amplitude    = [1])

    Experiment = Setup(ScattererSet = scatSet, SourceSet = sourceSet)

    Data = Experiment.Get(Input=[Measure.A1, Measure.B1])

    Data.Plot(y=Measure.A1, x=Variables.Diameter).Show()


if __name__ == '__main__':
    run()
