"""
Mean Qsca vs Index
==================

.. image:: ../../images/Examples/Example19.png
   :width: 600
   :align: center
"""

# sphinx_gallery_thumbnail_path = '../images/Examples/Example19.png'


def run():
    import numpy as np
    from PyMieSim.Experiment import SphereSet, SourceSet, Setup, PhotodiodeSet
    from PyMieSim.Materials  import FusedSilica
    from PyMieSim            import Measure, Variables

    scatSet   = SphereSet(   Diameter = 800e-9,
                             Index    = np.linspace(1.3, 1.9, 1500),
                             nMedium  = 1 )

    sourceSet = SourceSet(  Wavelength   = [500e-9, 1000e-9, 1500e-9],
                            Polarization = 30,
                            Amplitude    = 1)


    Experiment = Setup(ScattererSet = scatSet, SourceSet = sourceSet)

    Data = Experiment.Get([Measure.Qsca])

    Data.Plot(y=Measure.Qsca, x=Variables.Index).Show()


if __name__ == '__main__':
    run()
