"""
Mie Resonances
==============

.. image:: ../../images/Examples/Example20.png
   :width: 600
   :align: center
"""

# sphinx_gallery_thumbnail_path = '../images/Examples/Example20.png'




def run():
    import numpy as np
    from PyMieSim.Experiment import SphereSet, SourceSet, Setup
    from PyMieSim            import Measure, Variables

    scatSet    = SphereSet( Diameter  = [200e-9, 150e-9, 100e-9],
                            Index     = [2, 3, 4],
                            nMedium   = [1])

    sourceSet  = SourceSet(  Wavelength   = np.linspace(400e-9, 1000e-9, 500),
                             Polarization = [0],
                             Amplitude    = [1] )

    Experiment = Setup(ScattererSet=scatSet, SourceSet=sourceSet)

    Data = Experiment.Get(Input=[Measure.Qsca])

    Data.Mean(Variables.Index).Plot(y=Measure.Qsca, x=Variables.Wavelength).Show()






if __name__ == '__main__':
    run()
