from PyMieSim.Tools import Variables, Measure

def LoadLPMode(ModeNumber, Type: str='Unstructured', Sampling: int=100):
    import numpy, os.path
    from PyMieSim.Tools.Directories import LPModePath

    AllModes = [(0,1), (0,2), (0,3), (1,1), (1,2), (1,3), (2,1), (2,2), (3,1), (3,2), (4,1), (5,1)]
    AllSampling = [100, 200, 300, 400, 500, 600, 700, 800, 900, 1000]
    if Type=='Unstructured':
        filename = f'LP{ModeNumber[0]}{ModeNumber[1]}/{Type}{Sampling}.npy'
    elif Type=='Structured':
        filename = f'LP{ModeNumber[0]}{ModeNumber[1]}/{Type}.npy'

    fileDir = os.path.join(LPModePath, filename)

    if not os.path.exists(fileDir):
        raise ValueError( f"\nFile: {filename} does not exists. " + \
        "This specific LP mode with specific sampling might not be available." + \
        f"\nAvailable modes are {AllModes}" +\
        f"\nAvailable sampling are {AllSampling}" )

    return numpy.load(fileDir)
